List Markets
curl --request GET \
--url https://scrapebadger.com/v1/realtor/markets \
--header 'x-api-key: <api-key>'import requests
url = "https://scrapebadger.com/v1/realtor/markets"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scrapebadger.com/v1/realtor/markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"markets": [
{
"code": "<string>",
"domain": "<string>",
"country": "<string>",
"currency": "<string>",
"locale": "<string>",
"name": "<string>"
}
]
}Reference
List Markets
List all supported realtor markets with their portals, currencies, and locales.
GET
/
v1
/
realtor
/
markets
List Markets
Response
Array of supported markets.
Show Market object
Show Market object
Market code to use in the
market query parameter (us or ca).Portal domain (
realtor.com or realtor.ca).ISO 3166-1 alpha-2 country code.
ISO 4217 currency code used in this market.
BCP-47 locale (e.g.
en-US).Market country name.
Example Response
{
"markets": [
{ "code": "us", "domain": "realtor.com", "country": "US", "currency": "USD", "locale": "en-US", "name": "United States" },
{ "code": "ca", "domain": "realtor.ca", "country": "CA", "currency": "CAD", "locale": "en-CA", "name": "Canada" }
]
}
Listing markets is a free reference endpoint (0 credits).
⌘I

